//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Mask/MaskViewFactory.h
//! @brief     Defines class MaskViewFactory
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_MASK_MASKVIEWFACTORY_H
#define BORNAGAIN_GUI_VIEW_MASK_MASKVIEWFACTORY_H

#include <QString>

class IMaskElementDisplay;
class MaskItemObject;
class SceneAdaptor;

//! Factory to construct views out of MaskItems for MaskGraphicsScene

class MaskViewFactory {
public:
    static IMaskElementDisplay* createMaskView(MaskItemObject* item,
                                               SceneAdaptor* adaptor = nullptr);
};

#endif // BORNAGAIN_GUI_VIEW_MASK_MASKVIEWFACTORY_H
